Mailinglist Archive: opensuse-factory (682 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20161102 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20161102

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
akonadi-server
desktop-file-utils (0.22 -> 0.23)
file
gnome-software (3.22.0 -> 3.22.1)
harfbuzz
libarchive (3.2.1 -> 3.2.2)
libkgeomap
nfs-utils

=== Details ===

==== akonadi-server ====
Subpackages: libKF5AkonadiAgentBase5 libKF5AkonadiCore5 libKF5AkonadiWidgets5

- Changed Requires to Recommends so Akonadi libraries don't require
akonadi-server anymore and can be thus co-installable with
akonadi-4.x .
- Extracted libraries libKF5AkonadiPrivate5 and libKF5AkonadiXml5
from the akonadi-server package into new sub packages, so installing
libraries don't require akonadi-server to be installed just
because of the libraries.

==== desktop-file-utils ====
Version update (0.22 -> 0.23)

- Update to version 0.23:
+ Accept version 1.1 desktop files.
+ Add Cinnamon, EDE and LXQt to the list of registered desktop
environments (fdo#73497, fdo#56353, fdo#79561).
+ Allow multipart/related MIME type; it's used for MHTML
(fdo#93376).
+ Ensure DBusActivatable filenames conform to reverse-DNS
notation (fdo#66904).
+ Downgrade trailing semicolons to optional (fdo#76902).
+ Fix buffer over-read (fdo#94303).
- Drop upstreamed fixed patches:
+ desktop-file-utils-fdo94303-fix-buffer-over-read.patch.
+ U_add-Cinnamon-desktop-environment_50271fe.patch.
+ U_add-EDE-desktop-environment_97d6ba3.patch.
+ U_trailing-semicolons-are-optional_aec5711.patch.
- Rebase desktop-file-utils-suse-keys.patch.

==== file ====
Subpackages: file-devel file-magic libmagic1 libmagic1-32bit

- Add patch file-5.28-btrfs-image.dif
to add support for files output by btrfs-image.

==== gnome-software ====
Version update (3.22.0 -> 3.22.1)

- Add pkgconfig(flatpak) BuildRequires and pass --enable-flatpak to
configure now that we have flatpak in openSUSE.
- Drop pkgconfig(xdg-app) BuildRequires: No longer needed as
flatpak is now in place.
- Update to version 3.22.1:
+ Fix several issues with flatpak bundles.
+ Fix installing local packages.
+ Fix a crash when failing to get an installed flatpak ref.
+ Speed up loading the details and overview pages.
+ Switch to using the ODRS server hosted by GNOME.
+ Updated translations.

==== harfbuzz ====
Subpackages: harfbuzz-devel libharfbuzz-icu0 libharfbuzz0 libharfbuzz0-32bit

- Drop pkgconfig(icu-le) BuildRequires: That was actually removed
upstream in version 0.9.21.

==== libarchive ====
Version update (3.2.1 -> 3.2.2)
Subpackages: bsdtar libarchive-devel libarchive13

- update to version 3.2.2
Unspecified security fixes, but at least:
* CVE-2016-8687.patch: bsc#1005070
* CVE-2016-8689.patch: bsc#1005072
* CVE-2016-8688.patch: bsc#1005076
* CVE-2016-5844.patch: bsc#986566, upstream issue 717
* CVE-2016-6250.patch: bsc#989980, upstream issue 711
* CVE-2016-5418.patch: bsc#998677, upstream issues 744, 745 and 746
- obsoletes fix-build.patch

==== libkgeomap ====
Subpackages: libKF5KGeoMap10_0_0 libkgeomap-devel

- Marblewidget is a public dep -> devel subpackage requires marble-devel

==== nfs-utils ====
Subpackages: nfs-client nfs-doc nfs-kernel-server

- move rpc.svcgssd and corresponding man page from
nfs-client package to nfs-kernel-server.
For NFSv4.0 this is needed on client as well as
the server to support the back-channel.
(bsc#1005609)

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages